Create Demo Voice Agent
curl --request POST \
--url https://api.ontora.com/v1/ontora-staff/demo-voice-agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"company_snapshot": "<string>",
"slug": "<string>",
"domain": "<string>",
"contact_name": "<string>",
"contact_role": "<string>",
"contact_email": "<string>",
"duration_minutes": 15,
"what_we_know": "<string>",
"hypothesized_pain_areas": "<string>",
"suggested_interview_angles": "<string>",
"desired_wow_moment": "<string>",
"tone_guidance": "<string>",
"attio_deal_id": "<string>"
}
'import requests
url = "https://api.ontora.com/v1/ontora-staff/demo-voice-agents"
payload = {
"company_name": "<string>",
"company_snapshot": "<string>",
"slug": "<string>",
"domain": "<string>",
"contact_name": "<string>",
"contact_role": "<string>",
"contact_email": "<string>",
"duration_minutes": 15,
"what_we_know": "<string>",
"hypothesized_pain_areas": "<string>",
"suggested_interview_angles": "<string>",
"desired_wow_moment": "<string>",
"tone_guidance": "<string>",
"attio_deal_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_name: '<string>',
company_snapshot: '<string>',
slug: '<string>',
domain: '<string>',
contact_name: '<string>',
contact_role: '<string>',
contact_email: '<string>',
duration_minutes: 15,
what_we_know: '<string>',
hypothesized_pain_areas: '<string>',
suggested_interview_angles: '<string>',
desired_wow_moment: '<string>',
tone_guidance: '<string>',
attio_deal_id: '<string>'
})
};
fetch('https://api.ontora.com/v1/ontora-staff/demo-voice-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slug": "<string>",
"company_name": "<string>",
"contact_name": "<string>",
"conversation_id": "<string>",
"demo_url": "<string>",
"meeting_url": "<string>",
"context_markdown": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ontora-staff
Create Demo Voice Agent
Create or update a public demo voice-agent interview from Ontora staff-entered context.
POST
/
v1
/
ontora-staff
/
demo-voice-agents
Create Demo Voice Agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I